#include once "window9.bi"

Function GetWindowsDir() As USTRING Export
	#ifdef UNICODE
		Dim sRet As USTRING = wspace(2048)
		GetWindowsDirectory(cast(any ptr , *sRet),2048)  	
	#else	
		Dim sRet As USTRING*2048
		GetWindowsDirectory(Cast(LPSTR,@sRet),2048)  	
	#EndIf
	Return sRet
End Function
